%global modname pythonz
%global srcname pythonz-bd
%global sum     Manage python installations in your system

Name:          python-%{srcname}
Summary:       %{sum}
URL:           https://pypi.python.org/pypi/%{srcname}
License:       MIT

Version:       1.11.4
Release:       3%{?dist}
Source0:       https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:     noarch

%description
pythonz is a program to automate the building and installation of Python in
the users $HOME. This is a fork of the original project, pythonbrew.

CPython, Stackless, PyPy and Jython are supported.


%package -n python3-%{srcname}
Summary:       %{sum}

BuildRequires: python3-devel

Requires:      python3-resumable-urlretrieve


%description -n python3-%{srcname}
%{description}


%prep
%setup -q -n %{srcname}-%{version}

# Remove the non-Linux patches, we don't need them
rm -fr pythonz/patches/osx


%build
export LANG=en_US.utf8
%py3_build


%install
export LANG=en_US.utf8
%py3_install

# Install the Bash completion script
install -p -D -m 664 \
    %{buildroot}%{python3_sitelib}/%{modname}/etc/bash_completion.d/pythonz_completion.sh \
    %{buildroot}%{_datadir}/bash-completion/completions/%{modname}


%files -n python3-%{srcname}
%doc README.rst
%{_bindir}/%{modname}
%{_bindir}/%{modname}_install
%{python3_sitelib}/%{modname}
%{python3_sitelib}/%{modname}*.egg-info
%{_datadir}/bash-completion


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Mathieu Bridon <bochecha@daitauha.fr> - 1.11.4-1
- New upstream release.
- Drop the unneeded non-Linux patches.
- Install the Bash completion script.

* Sun Jan 22 2017 Mathieu Bridon <bochecha@daitauha.fr> - 1.11.3-1
- New upstream release.

* Sat Oct 15 2016 Mathieu Bridon <bochecha@daitauha.fr> - 1.11.2-1
- Initial package for Fedora.
